QGIS Application - Bug report #19940
Spatialite column with AUTOINCREMENT block with forms
2018-09-25 03:23 PM - Loic BARTOLETTI

Status: Closed

Priority: High

Assignee:

Category: Forms

Affected QGIS version:3.3(master) Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 27762
Description

When adding an entity to a spatialite table with a field with AUTOINCREMENT, the input in the form is blocked, because the value must
be added manually. The form does not know how to retrieve the last value and expects a non NULL value. There is no such problem by
going through the entry in the attribute table

History

#1 - 2018-09-25 06:24 PM - Giovanni Manghi
- Category changed from Editing to Forms
- Status changed from Open to Feedback

Did it worked as expected on 2.18?

#2 - 2018-09-25 08:00 PM - Gerhard Spieles

This was issue #17587 in master between 2.18.14 an 2.18.16 and seems now a regression.

#3 - 2018-09-25 08:35 PM - Giovanni Manghi
- Priority changed from Normal to High
- Status changed from Feedback to Open

#4 - 2018-10-03 12:28 PM - Alessandro Pasotti
- Status changed from Open to Feedback

| cannot reproduce on current master, can you share a project?

#5 - 2018-10-23 11:31 AM - Loic BARTOLETTI
- Status changed from Feedback to Open

If you create the spatialite from "Create New Spatialite Layer" it works but a spatialite created from DB Manager (was my case) doesn't works.

#6 - 2018-10-23 02:09 PM - Regis Haubourg
- Status changed from Open to Feedback
Can you share your database? | created a spatialite from dbmanager using the "export to file" button, and | couldn't reproduct the issue.

#7 - 2018-12-12 11:37 AM - Loic BARTOLETTI

Couldn't reproduct too... Maybe | did a bad action at another time... a bad monkey tester :)
#8 - 2018-12-12 11:37 AM - Loic BARTOLETTI

- Resolution set to invalid

- Status changed from Feedback to Closed

Files

autoincrement.mp4 1.28 MB 2018-09-25 Loic BARTOLETTI
